import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.razumey.Ambiance 1.0

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait
    tools: ToolBarLayout {
        ToolIcon {
            iconId: "toolbar-back"
            onClicked: Qt.quit()
        }
    }
	
	Ambiance {
        id: ambiance
    }	
	
    Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height	
		
	Column {
        id: content
        spacing: 20
        width: parent.width
		
        DcpPageTitle {
                id: titleLabel
                text: "Громкость внешнего динамика"
            }

			Label {
            text: "Параметры настройки громкости внешнего динамика."
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 20
            }
			
			Label {
            text: "Внимание!!! Все изменения остаются и после перезагрузки девайса!!!"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 20
            }		
			
			Separator {
                width: parent.width
                title: "Выбор параметра"
            }
			
	        Label {
            text: "Выберите процент мощности"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 24
            }			
		
        Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Громкость 33%"
            onClicked: {
			    ambiance.shell("/usr/share/duicontrolpanel/volume/ru/low.sh")
                }
            }

        Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Громкость 65%"
            onClicked: {
			    ambiance.shell("/usr/share/duicontrolpanel/volume/ru/medium.sh")
                }
        }
    
	    Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Громкость 100%"
            onClicked: {
			    ambiance.shell("/usr/share/duicontrolpanel/volume/ru/max.sh")
                }
        }
	    
		Separator {
                width: parent.width
                title: "Обратная связь"
            }
			
			Label {
            text: "Связь со мной:"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 34
            }
			
	    Label {
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 34
            text:
                "<a href=\"http://m.vk.com/id10202be9\">Вконтакте</a>"
            onLinkActivated: Qt.openUrlExternally(link)
		}
		
		Label {
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 34
            text:
                "<a href=\"https://twitter.com/iRazumey\">Twitter</a>"
            onLinkActivated: Qt.openUrlExternally(link)
		}
	    
		Item { //spacing
                width: 1
                height: 30
        }
		
		Label {
            text: "Собрано на основе консольного скрипта N9Qtweak от пользователя Schturman"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 24
            }	
				
		Item { //spacing
                width: 1
                height: 30
        }
		
		ScrollDecorator {
             flickableItem: flickable
        }   	   
    }
}
}
